mscorlib 2.0.0.0 4.0.0.0 System.Enum

You can adjust the intrusiveness of garbage collection in your application by setting the property to one of the enumeration values.

See Latency Modes for a discussion of how the runtime configuration settings for garbage collection affect the default value for this enumeration.

Adjusts the time that the garbage collector intrudes in your application.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.GCLatencyMode

  This mode is designed for maximum throughput at the expense of responsiveness.

  This mode overrides the <gcConcurrent> runtime configuration setting. If <gcConcurrent> is enabled, switching to mode prevents any further concurrent collections.

  Disables garbage collection concurrency and reclaims objects in a batch call. This is the most intrusive mode.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.GCLatencyMode

  This mode is equivalent to garbage collection on a workstation that is concurrent.

  Enables garbage collection concurrency and reclaims objects while the application is running. This is the default mode for garbage collection on a workstation and is less intrusive than . It balances responsiveness with throughput.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.GCLatencyMode

  This mode is not available for the server garbage collector.

  Enables garbage collection that is more conservative in reclaiming objects. Full collections occur only if the system is under memory pressure, whereas generation 0 and generation 1 collections might occur more frequently

- Field
  4.0.0.0
  System.Runtime.GCLatencyMode

  Enables garbage collection that tries to minimize latency over an extended period. The collector tries to perform only generation 0, generation 1, and concurrent generation 2 collections. Full blocking collections may still occur if the system is under memory pressure.